<?php
class NP_TwitterButton extends NucleusPlugin {

	function getName() {
		return 'TwitterButton';
	}

	function getAuthor() {
		return 'mksmk';
	}

	function getURL() {
		return 'http://www.mksmk.jp/';
	}

	function getVersion() {
		return '0.0.8';
	}

	function getDescription() {
		return 'output TwitterButton.';
	}

	function supportsFeature($what) {
		switch ($what) {
			case 'SqlTablePrefix':
				return 1;
			default:
				return 0;
		}
	}
	function install() {
		$this->createOption ('tw_B_color', "TwitterButtonColor select.", 'select', 'bule', 'blue|twitter_button_b.gif|green|twitter_button_g.gif|orange|twitter_button_o.gif|purple|twitter_button_p.gif|red|twitter_button_r.gif|water blue|twitter_button_wb.gif|yellow|twitter_button_y.gif');
		$this->createOption ('tw_charset', "charset setting.", 'select', 'euc-jp', 'euc-jp|EUC-JP|utf-8|UTF-8');
	}
	function doTemplateVar(&$item) {

		global $manager, $blogid, $itemid, $CONF;
		$tw_button = $CONF['MediaURL'] . "TwitterB/" . $this->getOption('tw_B_color');
		$tw_url = "http://twitter.com/home?status=";
		$tw_url_m = "http://twtr.jp/status/create/?text=";
		$tw_charset = $this->getOption('tw_charset');

		$item =& $manager->getItem($itemid, 0, 0);
		$blog =& $manager->getBlog($blogid, 0, 0);
		$tw_item_title = $item['title'];
		$tw_item_url = createItemLink($itemid, $this->linkparams);
		$tw_blog_name = $blog->getName();
		$tw_data_set = $tw_item_title . "@" . $tw_blog_name . ":" . $tw_item_url;

		$ua=$_SERVER["HTTP_USER_AGENT"];
		switch(true){
			case(ereg("UP.Browser|KDDI",$ua)):
			$mob = '1';
			$set_tw_url = $tw_url_m;
		break;
			case(ereg("DoCoMo|J-PHONE|Vodafone|MOT-|SoftBank",$ua)):
			$mob = '2';
			$set_tw_url = $tw_url_m;
		break;
			default:
			$mob = '0';
			$set_tw_url = $tw_url;
		break;
		}
		if ($mob == "1") { $tw_enco = mb_convert_encoding($tw_data_set, "CP932", "$tw_charset");
		} elseif ($mob == "2") { $tw_enco = mb_convert_encoding($tw_data_set, "UTF-8", "$tw_charset");
		} else { $tw_enco = mb_convert_encoding($tw_data_set, "UTF-8", "$tw_charset"); }
		$tw_data = urlencode(htmlspecialchars($tw_enco, ENT_QUOTES));
		$twitter_button = '<a href="' . $set_tw_url . $tw_data . '" target="_blank"><img src="' . $tw_button . '" alt="tweet!!"/></a>';
		echo $twitter_button;
	}
}
?>
